
Figure - Bug #112755
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开应用小窗，进入多任务管理器，手动清除一个功能卡片后，清除按钮消
失（此时还有一个小窗卡片未被清除）
2022-10-20 18:02 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-20

Priority: Normal Due date: 2022-11-04

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2022-11-17

Test Type: IT Root cause: getcurrentfreeformtask接口返回逻辑有误

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

1、打开一个小窗

2、进入任务管理器

3、查看后台进程卡片

4、手动上划清除一个功能卡片（至于为什么只打开一个小窗模式会出现功能卡片，详见112753）

5、查看全部清除按钮

【预期结果】

5、全部清除按钮仍然存在

【实际结果】

5、全部清除按钮消失

History

#1 - 2022-10-20 18:35 - CD APP-王营

- Assignee changed from CD APP-王营 to CD- App-李朝鹏

#2 - 2022-10-21 11:02 - CDTS-TEST 周婷

- Due date set to 2022-10-21

#3 - 2022-10-21 15:34 - CD- App-李朝鹏

- % Done changed from 0 to 40

■ Current conclusion

属于我开发的部分已修改完成，等待开发小窗的同事修复属于他们的部分，bug及情况已告知对方

#4 - 2022-10-24 16:54 - CD APP-王营
- Status changed from New to ASSIGNED

- Assignee changed from CD- App-李朝鹏 to DL FW-王琳

此问题依赖小窗启动逻辑优化，请王琳优化完后将此问题转给我们进行联调。

#5 - 2022-10-25 09:05 - DL FW-王琳

My analysis

初步分析是进入recent的时候调用时序上存在问题,     

Next action

需要结合112698 112753 112755 case一起考虑下交互时序的设计.

10/30交付有风险, 建议放到下一个交付节点

#6 - 2022-10-25 10:12 - CDTS-TEST 周婷

- Due date changed from 2022-10-21 to 2022-11-04

放在11/15 版本fix

#7 - 2022-10-25 14:22 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#8 - 2022-10-31 11:53 - DL FW-王琳

- Assignee changed from DL FW-王琳 to DL FW-张挽强

#9 - 2022-11-01 14:55 - CD TPM-王祥林

- Category changed from CD-APP to 窗口定制

#10 - 2022-11-01 15:35 - CD TEST-方永红

- Parent task changed from #112753 to #111067

#11 - 2022-11-02 14:29 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V3.0_update_20221130

重新梳理方案，11/30 fix

#12 - 2022-11-02 14:33 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#13 - 2022-11-14 11:11 - CD TEST-方永红

- Description updated

#14 - 2022-11-17 14:27 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 40 to 100

- Resolution changed from -- to FIXED

2025-07-04 2/3



- Fixed Version set to 2022-11-17

#15 - 2022-11-17 15:19 - DL FW-张挽强

- Root cause set to getcurrentfreeformtask接口返回逻辑有误

#16 - 2022-11-17 15:22 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

11.17

bug中描述的现象与实际情况已经有很大差距，故另起票跟踪

该bug先关闭

#17 - 2022-11-17 15:23 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

0301.txt 7.72 MB 2022-10-20 CD TEST-方永红

Phone-STS40X190122 2022-10-20 18-01-06.mp4 9.34 MB 2022-10-20 CD TEST-方永红
